# Class validator_factory

- Defined in File validate.hpp

## Class Documentation

class validator_factory

  Validators are globally unique objects, use the validator_factory class to construct them. This class is a singleton.

  Public Functions

  const validator &get(const category &audit_conform)

    Return validator with info recorded in audit_conform.

  const validator &get(std::string_view dictionary_name)

    Return the single-file validator with name dictionary_name.

  inline const validator &add(validator &&v)

    Add validator v to the list of known validators.

  Public Static Functions

  static validator_factory &instance()

    Return the singleton instance.

  static bool check_version(std::string_view name, std::string_view expected, std::string_view found)

    Return true if the version found is equal or higher than expected for dictionary name.